using System;
using System.Threading;
using System.Collections.Generic;
using System.Text;

namespace JoinTest
{
   class Program
   {
      static void Main(string[] args)
      {
         Thread worker = new Thread(new ThreadStart(DoWork));
         worker.Start();

         // w tym miejscu wykonujemy dołączanie, aby zablokować ten wątek do czasu, aż wykonawca zakończy pracę
         worker.Join();
         Console.WriteLine("Ta linia nie zostanie wykonana dopóki 'wykonawca' nie zakończy pracy.");
         Console.WriteLine();
      }

      static void DoWork()
      {
         for (int i = 0; i < 100; i++)
         {
            Thread.Sleep(100);
            Console.Write(".");
         }
      }
   }
}
